<?php
/**
 * Plugin Name: 	TMO Header plugin
 * Plugin URI:		https://3dom.co.nz/
 * Description:		Managed TMO Theme Header.
 * Version: 		1.0.1
 * Author: 			3dom Media
 * Author URI: 		https://www.3dom.co.nz/
 */

add_action( 'admin_menu', 'register_media_selector_settings_page' );

function register_media_selector_settings_page() {
	add_submenu_page( 'options-general.php', 'TMO Header', 'TMO Header', 'manage_options', 'header-selector', 'tmo_header_selector_settings_page_callback' );
}

add_action('init', 'register_script');
function register_script() {
    wp_register_script( 'custom_jquery', plugins_url('/js/custom-jquery.js', __FILE__), array('jquery'), '2.5.1' );

    wp_register_style( 'new_style', plugins_url('/css/new-style.css', __FILE__), false, '1.0.0', 'all');
}




function tmo_header_selector_settings_page_callback() {
	
	




if($_POST['submitChangeType'] == 1) {

global $wpdb;
//function saveReplacementImage($val) {
	
	/* This function applies to images only and is called when user clicks on "Set Image" button.*/
	
	
	$val = $_POST['optionSel'];

	switch($val) {
	
		case "A":
		/* Header Time Zone Text Colour */
	    	$hdrTImeColour = $_POST['hdrTImeColour'];
			$wpdb->update('xt_hdr',array('hdrTImeColour' => $hdrTImeColour ),array( 'hdrID' => '1' ),NULL,NULL);
			$wpdb->print_error();
		break;
	
		case "B":
		/* Custom menu Enabled */
		
		 $hdrMenCustomOn = $_POST['menuSel'];
			$wpdb->update('xt_hdr',array('hdrMenCustomOn' => $hdrMenCustomOn ),array( 'hdrID' => '1' ),NULL,NULL);
			$wpdb->print_error();
		break;
	
		case "C":
		/* Change Custom Menu Colours */
	    //$hdrMenBtnNrm = $result-> hdrMenBtnNrm;
	    
	    $hdrMenBtnNrm = $_POST['hdrMenBtnNrm'];
	    $hdrMenTxtNrm = $_POST['hdrMenTxtNrm'];
	    $hdrMenBtnOvr = $_POST['hdrMenBtnOvr'];
	    $hdrMenTxtOvr = $_POST['hdrMenTxtOvr'];
			$wpdb->update('xt_hdr',array('hdrMenBtnNrm' => $hdrMenBtnNrm, 'hdrMenTxtNrm' => $hdrMenTxtNrm, 'hdrMenBtnOvr' => $hdrMenBtnOvr,'hdrMenTxtOvr' => $hdrMenTxtOvr ),array( 'hdrID' => '1' ),NULL,NULL);
			$wpdb->print_error();
		break;
	
		case "D":
		/* Column 1 Image */
	
			$hdrColImg_A = $_POST['image_attachment_id_s'];
			$wpdb->update('xt_hdr',array('hdrColImg_A' => $hdrColImg_A ),array( 'hdrID' => '1' ),NULL,NULL);
			$wpdb->print_error();
			break;
			
			case "E":
		/* Column 1 Link */
	
			$hdrCollnk_A = $_POST['hdrCollnk_A'];
			$wpdb->update('xt_hdr',array('hdrCollnk_A' => $hdrCollnk_A ),array( 'hdrID' => '1' ),NULL,NULL);
			$wpdb->print_error();
			break;
	
		case "F":
		/* Column 1 Image */
			$hdrColImg_B = $_POST['image_attachment_id_as'];
			$wpdb->update('xt_hdr',array('hdrColImg_B' => $hdrColImg_B ),array( 'hdrID' => '1' ),NULL,NULL);
			$wpdb->print_error();
	
		break;
	
		case "G":
		/* Column 2 Link */
			$hdrCollnk_B = $_POST['hdrCollnk_B'];
			$wpdb->update('xt_hdr',array('hdrCollnk_B' => $hdrCollnk_B ),array( 'hdrID' => '1' ),NULL,NULL);
			$wpdb->print_error();
		break;
	
		case "H":
		/* Column 3 Image */
			$hdrColImg_C = $_POST['image_attachment_id_bs'];
			$wpdb->update('xt_hdr',array('hdrColImg_C' => $hdrColImg_C ),array( 'hdrID' => '1' ),NULL,NULL);
			$wpdb->print_error();
	
		break;
	
		case "I":
	    /* Column 3 Link */
			$hdrCollnk_C = $_POST['hdrCollnk_C'];
			$wpdb->update('xt_hdr',array('hdrCollnk_C' => $hdrCollnk_C ),array( 'hdrID' => '1' ),NULL,NULL);
			$wpdb->print_error();
	
		break;
		
		case "J":
		/* Column 4 Image */
			$hdrColImg_D = $_POST['image_attachment_id_cs'];
			$wpdb->update('xt_hdr',array('hdrColImg_D' => $hdrColImg_D ),array( 'hdrID' => '1' ),NULL,NULL);
			$wpdb->print_error();
	
		break;
	
		case "K":
	    /* Column 4 Link */
			$hdrCollnk_D = $_POST['hdrCollnk_D'];
			$wpdb->update('xt_hdr',array('hdrCollnk_D' => $hdrCollnk_D ),array( 'hdrID' => '1' ),NULL,NULL);
			$wpdb->print_error();
	
		break;
		
		case "L":
		/* Column 5 Image */          
			$hdrColImg_E = $_POST['image_attachment_id_ds'];
			$wpdb->update('xt_hdr',array('hdrColImg_E' => $hdrColImg_E ),array( 'hdrID' => '1' ),NULL,NULL);
			$wpdb->print_error();
	
		break;
	
		case "M":
	    /* Column 5 Link */
			$hdrCollnk_E = $_POST['hdrCollnk_E'];
			$wpdb->update('xt_hdr',array('hdrCollnk_E' => $hdrCollnk_E ),array( 'hdrID' => '1' ),NULL,NULL);
			$wpdb->print_error();
	
		break;
		
		case "N":
	
			$hdrWebmailLnk = $_POST['hdrWebmailLnk'];
			$wpdb->update('xt_hdr',array('hdrWebmailLnk' => $hdrWebmailLnk ),array( 'hdrID' => '1' ),NULL,NULL);
			$wpdb->print_error();
	
		break;
		
		case "O":
	
			$hdrMyHealthLnk = $_POST['hdrMyHealthLnk'];
			$wpdb->update('xt_hdr',array('hdrMyHealthLnk' => $hdrMyHealthLnk ),array( 'hdrID' => '1' ),NULL,NULL);
			$wpdb->print_error();
	
		break;
	
		case "P":
		/* Header BG Image */
			$hdrBG = $_POST['image_attachment_id_ps'];
			$wpdb->update('xt_hdr',array('hdrBG' => $hdrBG ),array( 'hdrID' => '1' ),NULL,NULL);
			$wpdb->print_error();
	
		break;
		
		case "Q":
	    /* Header Title text change only */
			$hdrTitle = $_POST['hdrTitle'];
			$wpdb->update('xt_hdr',array('hdrTitle' => $hdrTitle ),array( 'hdrID' => '1' ),NULL,NULL);
			$wpdb->print_error();
	
		break;
		
		
		case "R":
	
			$hdrBGColour = $_POST['hdrBGColour'];
			$wpdb->update('xt_hdr',array('hdrBGColour' => $hdrBGColour ),array( 'hdrID' => '1' ),NULL,NULL);
			$wpdb->print_error();
	
		break;
		
		case "S":
	
			echo $hdrImgOpt = $_POST['imgSel'];
			$wpdb->update('xt_hdr',array('hdrImgOpt' => $hdrImgOpt ),array( 'hdrID' => '1' ),NULL,NULL);
			$wpdb->print_error();
	
		break;
		
		
		
		case "T":
	    /* First topmost button text label */
			$hdrMyHealthLabel = $_POST['hdrMyHealthLabel'];
			$wpdb->update('xt_hdr',array('hdrMyHealthLabel' => $hdrMyHealthLabel ),array( 'hdrID' => '1' ),NULL,NULL);
			$wpdb->print_error();
	
		break;
		
		
		case "U":
	    /* Second topmost button text label */
			$hdrWebmailLabel = $_POST['hdrWebmailLabel'];
			$wpdb->update('xt_hdr',array('hdrWebmailLabel' => $hdrWebmailLabel ),array( 'hdrID' => '1' ),NULL,NULL);
			$wpdb->print_error();
	
		break;
		
		case "V":
		    /* Header Title*/
	        $hdrTitle = $_POST['hdrTitle'];
			$hdrTitleBG = $_POST['hdrTitleBG'];
			$hdrTitleSize = $_POST['hdrTitleSize'];
			$hdrTitleWeight = $_POST['hdrTitleWeight'];
			$hdrTitleColour = $_POST['hdrTitleColour'];
			
			$wpdb->update('xt_hdr',array('hdrTitle' => $hdrTitle, 'hdrTitleBG' => $hdrTitleBG, 'hdrTitleSize' => $hdrTitleSize, 'hdrTitleWeight' => $hdrTitleWeight, 'hdrTitleColour' => $hdrTitleColour ),array( 'hdrID' => '1' ),NULL,NULL);
			$wpdb->print_error();
	
		    



		    break;
			
			case "W":
		/* Column 1 Image */
	
			$pgPostPlaceHolderImg = $_POST['image_attachment_id_q'];
			$wpdb->update('xt_hdr',array('pgPostPlaceHolderImg' => $pgPostPlaceHolderImg ),array( 'hdrID' => '1' ),NULL,NULL);
			$wpdb->print_error();
			break;
			
			case "X":
		/* Column 1 Image */
	
			$hdrWebmailFlag = $_POST['hdrWebmailFlag'];
			$wpdb->update('xt_hdr',array('hdrWebmailFlag' => $hdrWebmailFlag ),array( 'hdrID' => '1' ),NULL,NULL);
			$wpdb->print_error();
			break;
			
			case "Y":
		/* Column 1 Image */
	
			$hdrMyHealthFlag = $_POST['hdrMyHealthFlag'];
			$wpdb->update('xt_hdr',array('hdrMyHealthFlag' => $hdrMyHealthFlag ),array( 'hdrID' => '1' ),NULL,NULL);
			$wpdb->print_error();
			break;
		
		case "Z":
		/* Column 1 Image */
	
			$hdr_show_datetime = $_POST['hdr_show_datetime'];
			$wpdb->update('xt_hdr',array('hdr_show_datetime' => $hdr_show_datetime ),array( 'hdrID' => '1' ),NULL,NULL);
			$wpdb->print_error();
			break;
		
	
	} //End Switch 
	
	
}

/* *********************** End Database Update ****************************** */



/* *********************************** Database Query* *********************************************/
global $wpdb;

$results = $wpdb->get_results( "SELECT * from xt_hdr LIMIT 1");
foreach ( $results as $result ) {
    

	$hdrID  = $result-> hdrID;
	$hdrTitle  = $result-> hdrTitle; 
	$hdrBG = $result-> hdrBG;
	$hdrBGColour = $result-> hdrBGColour;
	$hdrColImg_A = $result-> hdrColImg_A;
	$hdrCollnk_A = $result-> hdrCollnk_A;
	$hdrColImg_B = $result-> hdrColImg_B;
	$hdrCollnk_B = $result-> hdrCollnk_B;
	$hdrColImg_C = $result-> hdrColImg_C ;
	$hdrCollnk_C = $result-> hdrCollnk_C;
	$hdrColImg_D = $result-> hdrColImg_D;
	$hdrCollnk_D = $result-> hdrCollnk_D;
	$hdrColImg_E = $result-> hdrColImg_E;
	$hdrCollnk_E = $result-> hdrCollnk_E;
	$hdrWebmailLnk = $result-> hdrWebmailLnk;
	$hdrWebmailLabel = $result-> hdrWebmailLabel;
	$hdrImgOpt = $result-> hdrImgOpt;
	$hdrMyHealthLnk = $result-> hdrMyHealthLnk;
	$hdrMyHealthLabel = $result-> hdrMyHealthLabel;
	$hdrMenCustomOn = $result-> hdrMenCustomOn;
    $hdrMenBtnNrm = $result-> hdrMenBtnNrm;
    $hdrMenBtnOvr = $result-> hdrMenBtnOvr;
    $hdrMenTxtNrm = $result-> hdrMenTxtNrm;
    $hdrMenTxtOvr = $result-> hdrMenTxtOvr;
	$hdrTitleSize = $result-> hdrTitleSize;
	$hdrTitleWeight = $result-> hdrTitleWeight;
	$hdrTitleColour = $result-> hdrTitleColour;
	$hdrTitleBG = $result-> hdrTitleBG;
	$hdrTImeColour = $result-> hdrTImeColour;
	$pgPostPlaceHolderImg = $result->  pgPostPlaceHolderImg;
	$hdrWebmailFlag = $result->  hdrWebmailFlag;
	$hdrMyHealthFlag = $result->  hdrMyHealthFlag;
	$hdr_show_datetime = $result-> hdr_show_datetime;
}

/* *********************** End Database Query ****************************** */
	

	// Save attachment ID
	if ( isset( $_POST['submit_image_selector'] ) && isset( $_POST['image_attachment_id'] ) ) :
		update_option( 'media_selector_attachment_id', absint( $_POST['image_attachment_id'] ) );
	endif;
	
	if ( isset( $_POST['submit_image_selector_a'] ) && isset( $_POST['image_attachment_id_a'] ) ) :
		update_option( 'media_selector_attachment_id_a', absint( $_POST['image_attachment_id_a'] ) );
	endif;


	if ( isset( $_POST['submit_image_selector_b'] ) && isset( $_POST['image_attachment_id_b'] ) ) :
		update_option( 'media_selector_attachment_id_b', absint( $_POST['image_attachment_id_b'] ) );
	endif;
	
	if ( isset( $_POST['submit_image_selector_c'] ) && isset( $_POST['image_attachment_id_c'] ) ) :
		update_option( 'media_selector_attachment_id_c', absint( $_POST['image_attachment_id_c'] ) );
	endif;
	
	if ( isset( $_POST['submit_image_selector_d'] ) && isset( $_POST['image_attachment_id_d'] ) ) :
		update_option( 'media_selector_attachment_id_d', absint( $_POST['image_attachment_id_d'] ) );
	endif;
	
	if ( isset( $_POST['submit_image_selector_p'] ) && isset( $_POST['image_attachment_id_p'] ) ) :
		update_option( 'media_selector_attachment_id_p', absint( $_POST['image_attachment_id_p'] ) );
	endif;
	
	if ( isset( $_POST['submit_image_selector_q'] ) && isset( $_POST['image_attachment_id_q'] ) ) :
		update_option( 'media_selector_attachment_id_q', absint( $_POST['image_attachment_id_q'] ) );
	endif;
	
	wp_enqueue_media();

		
	?>
    <div id="mainBody" style="z-index:99">
    
    <div style="padding-bottom:20px"><h1>TMO Header Management Plugin</h1></div>
    <div id="form1"><h1>Header Background</h1>
    <p>Below you can move the slider to enable the appearance of the saved background image in the header. When this option is on you can click on the bg thumnail image to access the Media library in order to upload a replacement image etc. If the slider option is disabled then the header will default to a background colour - which you can specify by clicking on "View/Edit Link" and entering a hex value like "#FFFFF" (for white) etc.</p>
    
    <p>Note: Ideally images used for the header background should be 1920px length and 1080px height. Whatever size you use the height of your image needs to be 56.25% the image's actual length. Keeping these proportions ensures the bg image displays properly.</p>
    
    <div><form  method="post">
    <input type="hidden" name="submitChangeType" value="1" />
    <input type="hidden" name="optionSel" value= "S" />
    <label class="switch">
  <input id="imgSel" type="checkbox" name="imgSel" <?php
   if($hdrImgOpt == '1') {
	    echo 'checked value="1"';
		 }
	else {
		echo 'value="0"'; 
	}
			    ?>>
  <span class="slider round"></span>
</label><span>  Use an image </span><span id="saveImgOpt" style="display:none"><input type="submit" value="Save this change" class="button-primary"/></span></form></div>
    </div>
    
    
    
    <div style="padding:20px;display: <?php
   if($hdrImgOpt == '1') {
	    echo "";
		 }
	else {
		echo "none"; 
	}
			    ?>" id="hdrImg"><h2>Header Background Image<h2>
    <div style="width:100%">
    <form method='post' action="#hdrImg">
    	<input type="hidden" name="submitChangeType" value="1" />
        <input type="hidden" name="optionSel" value= "P" />
		<div class='image-preview-wrapper'>
            <img id='image-preview-p' class="img_region" src='<?php echo $hdrBG ?>' height='100' title="Click to Edit">
			<img id='image-preview-rep_p' style="display:none" src='<?php echo wp_get_attachment_url( get_option( 'media_selector_attachment_id_p' ) ); ?>' height='200'>
		</div>
        <div ><span id="conMessage_p" style="font-weight:bold;color:red"></span></div>
        <div id="btn_img_mnu_p" style="display:none;padding:20px;cursor:pointer">
		<input id="upload_image_button_p" type="button" class="button" value="<?php _e( 'Upload Image' ); ?>" />
		<input type='hidden' size='7'  name='image_attachment_id_p' id='image_attachment_id_p' value='<?php echo get_option( 'media_selector_attachment_id_p' ); ?>'>
        <input type='hidden' size='80'  name='image_attachment_id_ps' id='image_attachment_id_ps' value='<?php echo wp_get_attachment_url( get_option( 'media_selector_attachment_id_p' ) ); ?>'>
        
		<span id="user_btn_p" style="display:none">  -  <input type="submit" name="submit_image_selector_p" value="Set Replacement Image" class="button-primary">
        
	</form><form method="post" action="#hdrImg"><input type="submit" class="button-primary" value="Cancel/Reset" /></form></span>
    </div>
    </div>
    
    </div>
    
    <div style="padding:20px;display: <?php
   if($hdrImgOpt == '1') {
	    echo "none";
		 }
	else {
		echo ""; 
	}
			    ?>" id="hdrImgClr"><h2>Header Background Colour<h2>
    <div style="width:100%" id="revBGClr"><a class="ovrLnk">View / Edit</a></div>
    
    <div id="hdrBGClr" style="display:none"><form method="post" action="#hdrImgClr"><input type="hidden" name="submitChangeType" value="1" /><input type="hidden" name="optionSel" value= "R" /><input type="text" size="80" name="hdrBGColour" value="<?php echo $hdrBGColour ?>"/> <input type="submit" value="Save Changes" class="button-primary" /></form></div></div>
    
    
    <div id="hdrTit"><h1>Header Title</h1>
   
    <p>To edit the existing header line click on the Edit link below.</p>
    <p>Current Text:
    
    <div style="width:700px;height:25px;background-color: <?php echo $hdrTitleBG?>;color:<?php echo $hdrTitleColour?>;font-size:<?php echo $hdrTitleSize ?>px;text-align:center;padding:7px;vertical-align:middle;font-weight:<?php echo $hdrTitleWeight ?>"><?php echo $hdrTitle ?></div>
    <p><button type="button" id="editTitle" class="btn button-primary">Edit</button></p>
    <div id="hdrTitle" style="display:none"><form method="post" action="#hdrTit">
        <input type="hidden" name="submitChangeType" value="1" />
        <input type="hidden" name="optionSel" value= "V" />
        <div  class="row" >
        <div class="col-sm-4">BG Colour</div><div class="col-sm-8"><input type="text" size="5" name="hdrTitleBG" value="<?php echo $hdrTitleBG ?>"></div>
        </div>
        <div  class="row" >
        <div  class="row" >
        <div class="col-sm-4">Text</div><div class="col-sm-8"><input type="text" size="80" name="hdrTitle" value="<?php echo $hdrTitle ?>"></div>
        </div>
        <div  class="row" >
        <div class="col-sm-4">Font Size</div>
        <div class="col-sm-8"><input type="text" name="hdrTitleSize" size="3" value="<?php echo $hdrTitleSize ?>"></div>
        </div>
        <div  class="row" >
        <div class="col-sm-4">Font Weight</div>
        <div class="col-sm-8"><input type="text" name="hdrTitleWeight" size="3" value="<?php echo $hdrTitleWeight ?>"><br>Options: Plain, Bold, Bolder</div>
        </div>
        <div  class="row" >
        <div class="col-sm-4">Font Colour</div>
        <div class="col-sm-8"><input type="text" name="hdrTitleColour" size="5" value="<?php echo $hdrTitleColour ?>"></div>
        </div>
        <div style="height:20px"></div>
        <div  class="row" >
        <div class="col-sm-4"></div>
        <div class="col-sm-8"><input type="submit" value="Save Changes" class="button-primary" /></div>
        </div>
        </br> </form></div>
    </div>
    
    <div><h1>Upper Header Dual button Links</h1>
    <p>To change the links and labels for the <i><?php echo $hdrWebmailLabel ?></i> and <i><?php echo $hdrMyHealthLabel ?></i> buttons - click on "View/Edit Link" link below.  Enter the new url and click on the "Save" button.</p></div>
    
    
    
    
    
     <div><h3>Display <?php echo $hdrWebmailLabel ?> button:</h3> <form  method="post" ID="form11" action="#form11">
    <input type="hidden" name="submitChangeType" value="1" />
    <input type="hidden" name="optionSel" value= "X" />
    <label class="switch">
  <input id="hdrWebmailFlag" type="checkbox" name="hdrWebmailFlag" <?php
   if($hdrWebmailFlag == '1') {
	    echo 'checked value="1"';
		 }
	else {
		echo 'value="0"'; 
	}
			    ?>>
  <span class="slider round"></span>
</label>&nbsp;&nbsp;<span id="saveMailOpt" style="display:none"><br><input type="submit" value="Save this change" class="button-primary"/></span></form></div>
    </div>
    
    <div id="mailParms" style="display: <?php
   if($hdrWebmailFlag == '0') {
	    echo "none";
		 }
	else {
		echo ""; 
	}
			    ?>">
       
            <div style="background-color:#FFF5D9;text-align:center;height=35;width:120px;padding:10px"><strong><?php echo $hdrWebmailLabel ?></strong></div>
    <div style="padding-top:10px"><span style=""><a id="revLink_e"  class="ovrLnk">View / Edit Link</a></span></div>
    <div id="image_link_e" style="display:none"><form method="post" action="#form11"><input type="hidden" name="submitChangeType" value="1" /><input type="hidden" name="optionSel" value= "N" /><input type="text" size="80" name="hdrWebmailLnk" value="<?php echo $hdrWebmailLnk ?>"/> <input type="submit" value="Save Changes" class="button-primary" /></form></div>
    <div style="padding-top:10px"><span style=""><a id="revLink_y"  class="ovrLnk">View / Edit Label</a></span></div>
    <div id="image_link_y" style="display:none"><form method="post"  action="#form11"><input type="hidden" name="submitChangeType" value="1" /><input type="hidden" name="optionSel" value= "U" /><input type="text" size="80" name="hdrWebmailLabel" value="<?php echo $hdrWebmailLabel ?>"/> <input type="submit" value="Save Changes" class="button-primary" /></form></div>
        
        
    </div>
    </div>
    
    
    
    <div><h3>Display <?php echo $hdrMyHealthLabel ?> button:</h3> <form  method="post" ID="form12" action="#form12">
    <input type="hidden" name="submitChangeType" value="1" />
    <input type="hidden" name="optionSel" value= "Y" />
    <label class="switch">
  <input id="hdrMyHealthFlag" type="checkbox" name="hdrMyHealthFlag" <?php
   if($hdrMyHealthFlag == '1') {
	    echo 'checked value="1"';
		 }
	else {
		echo 'value="0"'; 
	}
			    ?>>
  <span class="slider round"></span>
</label>&nbsp;&nbsp;<span id="saveHealthOpt" style="display:none"><br><input type="submit" value="Save this change" class="button-primary"/></span></form></div>
    </div>
    
    <div id="healthParms" style="display: <?php
   if($hdrMyHealthFlag == '0') {
	    echo "none";
		 }
	else {
		echo ""; 
	}
			    ?>">
       
            <p></p>
    <div style="background-color:#FFF5D9;text-align:center;height=35;width:120px;padding:10px"><strong><?php echo $hdrMyHealthLabel ?></strong></div>
    <div style="padding-top:10px"><span style=""><a id="revLink_f"  class="ovrLnk">View / Edit Link</a></span></div>
    <div id="image_link_f" style="display:none"><form method="post"  action="#form12"><input type="hidden" name="submitChangeType" value="1" /><input type="hidden" name="optionSel" value= "O" /><input type="text" size="80" name="hdrMyHealthLnk" value="<?php echo $hdrMyHealthLnk ?>"/> <input type="submit" value="Save Changes" class="button-primary" /></form></div>
    
    <div style="padding-top:10px"><span style=""><a id="revLink_x"  class="ovrLnk">View / Edit Label</a></span></div>
    <div id="image_link_x" style="display:none"><form method="post"  action="#form12"><input type="hidden" name="submitChangeType" value="1" /><input type="hidden" name="optionSel" value= "T" /><input type="text" size="80" name="hdrMyHealthLabel" value="<?php echo $hdrMyHealthLabel ?>"/> <input type="submit" value="Save Changes" class="button-primary" /></form></div>
    </div>
    
    
    
    
    
    
    <p><hr /></p>
    
    <div id="hdrTimeClr"><h1>Date/Time Text Field</h1>
    
    
    <div><h3>Display Date/Time Text :</h3> <form  method="post" ID="form12" action="#form12">
    <input type="hidden" name="submitChangeType" value="1" />
    <input type="hidden" name="optionSel" value= "Z" />
    <label class="switch">
  <input id="hdr_show_datetime" type="checkbox" name="hdr_show_datetime" <?php
   if($hdr_show_datetime == '1') {
	    echo 'checked value="1"';
		 }
	else {
		echo 'value="0"'; 
	}
			    ?>>
  <span class="slider round"></span>
</label>&nbsp;&nbsp;<span id="saveDateTimeOpt" style="display:none"><br><input type="submit" value="Save this change" class="button-primary"/></span></form></div>
    </div>
    
    <div id="dateTimeParms" style="display: <?php
   if($hdr_show_datetime == '0') {
	    echo "none";
		 }
	else {
		echo ""; 
	}
			    ?>">
                
        <div><?php define('TIMEZONE', 'Pacific/Rarotonga'); date_default_timezone_set(TIMEZONE); echo '<span style="font-size:13px;color:'.$hdrTImeColour.';font-weight:bold;padding=left:7px;padding-right:7px;">'.date("l jS \of F Y h:i:s A").'</span>' ?><br></div>
        
        
        
        
        
    <div style="width:100%;padding-top:10px" id="revTimeClr"><a class="ovrLnk">View / Edit</a></div>
    
    <div id="hdrTimeClrDiv" style="display:none"><form method="post" action="#hdrTimeClr"><input type="hidden" name="submitChangeType" value="1" /><input type="hidden" name="optionSel" value= "A" /><input type="text" size="80" name="hdrTImeColour" value="<?php echo $hdrTImeColour ?>"/> <input type="submit" value="Save Changes" class="button-primary" /></form></div></div>
    <p><hr></p>
    
    <div><h1>Image Menu Items</h1>
    <p>The following section allows you to replace images and edit url links per Image Menu items</p>
    <p>To replace an existing image below - click on the thumnail image and the Upload Media options will appear.  If after inserting a new image yiou decide to reset the original image then click the "Cancel" button - otherwise to save the new image click on the Set Replacement Image button.</p>
    <p>Images used for the Image Menu items are 822 pixels in length and 221 Pixels in height.  You can use lower pixel sizes. However for the image to display fully and properly the image's height should be 29.3% of the image length.</p>
    <p>To edit a link click on the "View/Edit Link" link below the image.  Enter the new url and click on the "Save" button.</p>
    
    
    
    </div>
    
    
    
    <div style="padding:20px" id="col1"><h2>Image Menu - Column 1<h2>
    <div style="width:100%">
    <form method='post' action="#col1">
    	<input type="hidden" name="submitChangeType" value="1" />
        <input type="hidden" name="optionSel" value= "D" />
		<div class='image-preview-wrapper'>
            <img id='image-preview' class="img_region" src='<?php echo $hdrColImg_A ?>' height='100' title="Click to Edit">
			<img id='image-preview-rep' style="display:none" src='<?php echo wp_get_attachment_url( get_option( 'media_selector_attachment_id' ) ); ?>' height='50'>
		</div>
        <div ><span id="conMessage" style="font-weight:bold;color:red"></span></div>
        <div id="btn_img_mnu" style="display:none;padding:20px;cursor:pointer">
		<input id="upload_image_button" type="button" class="button" value="<?php _e( 'Upload Image' ); ?>" />
		<input type='hidden' size='7'  name='image_attachment_id' id='image_attachment_id' value='<?php echo get_option( 'media_selector_attachment_id' ); ?>'>
        <input type='hidden' size='80'  name='image_attachment_id_s' id='image_attachment_id_s' value='<?php echo wp_get_attachment_url( get_option( 'media_selector_attachment_id' ) ); ?>'>
        
		<span id="user_btn" style="display:none">  -  <input type="submit" name="submit_image_selector" value="Set Replacement Image" class="button-primary">
        
	</form><form method="post" action="#col1"><input type="submit" class="button-primary" value="Cancel/Reset" /></form></span>
    </div>
    </div>
    <div style="padding-top:10px"><span style=""><a id="revLink"  class="ovrLnk">View / Edit Link</a></span></div>
    <div id="image_link" style="display:none"><form method="post" action="#revLink"><input type="hidden" name="submitChangeType" value="1" /><input type="hidden" name="optionSel" value= "E" /><input type="text" size="80" name="hdrCollnk_A" value="<?php echo $hdrCollnk_A ?>"/> <input type="submit" value="Save Changes" class="button-primary" /></form></div>
    </div>
       
    <div style="padding:20px" id="col2"><h2>Image Menu - Column 2<h2>
    <div style="width:100%">
    <form method='post'  action="#col2">
    	<input type="hidden" name="submitChangeType" value="1" />
        <input type="hidden" name="optionSel" value= "F" />
		<div class='image-preview-wrapper'>
            <img id='image-preview-a' class="img_region" src='<?php echo $hdrColImg_B ?>' height='100'>
			<img id='image-preview-rep-a' style="display:none" src='<?php echo wp_get_attachment_url( get_option( 'media_selector_attachment_id_a' ) ); ?>' height='50'>
		</div>
        <div ><span id="conMessage" style="font-weight:bold;color:red"></span></div>
        <div id="btn_img_mnu_a" style="display:none;padding:20px;cursor:pointer">
		<input id="upload_image_button_a" type="button" class="button" value="<?php _e( 'Upload Image' ); ?>" />
		<input type='hidden' size='7'  name='image_attachment_id_a' id='image_attachment_id_a' value='<?php echo get_option( 'media_selector_attachment_id_a' ); ?>'>
        <input type='hidden' size='80'  name='image_attachment_id_as' id='image_attachment_id_as' value='<?php echo wp_get_attachment_url( get_option( 'media_selector_attachment_id_a' ) ); ?>'>
        
		<span id="user_btn_a" style="display:none">  -  <input type="submit" name="submit_image_selector_a" value="Set Replacement Image" class="button-primary"></form><form method="post" action="#col2"><input type="submit" class="button-primary" value="Cancel/Reset" /></form></span>
       
	
    </div>
    </div>
    <div style="padding-top:10px"><span style=""><a id="revLink_a"  class="ovrLnk">View / Edit Link</a></span></div>
    <div id="image_link_a" style="display:none"><form method="post"  action="#revLink_a"><input type="hidden" name="submitChangeType" value="1" /><input type="hidden" name="optionSel" value= "G" /><input type="text" size="80" name="hdrCollnk_B" value="<?php echo $hdrCollnk_B ?>"/> <input type="submit" value="Save Changes" class="button-primary" /></form></div>
    </div>
    
     <div style="padding:20px" id="col3"><h2>Image Menu - Column 3<h2>
    <div style="width:100%">
    <form method='post' action="#col3">
    	<input type="hidden" name="submitChangeType" value="1" />
        <input type="hidden" name="optionSel" value= "H" />
		<div class='image-preview-wrapper'>
            <img id='image-preview-b' class="img_region" src='<?php echo $hdrColImg_C ?>' height='100'>
			<img id='image-preview-rep-b' style="display:none" src='<?php echo wp_get_attachment_url( get_option( 'media_selector_attachment_id_b' ) ); ?>' height='50'>
		</div>
        <div ><span id="conMessage_b" style="font-weight:bold;color:red"></span></div>
        <div id="btn_img_mnu_b" style="display:none;padding:20px;cursor:pointer">
		<input id="upload_image_button_b" type="button" class="button" value="<?php _e( 'Upload Image' ); ?>" />
		<input type='hidden' size='7'  name='image_attachment_id_b' id='image_attachment_id_b' value='<?php echo get_option( 'media_selector_attachment_id_b' ); ?>'>
        <input type='hidden' size='80'  name='image_attachment_id_bs' id='image_attachment_id_bs' value='<?php echo wp_get_attachment_url( get_option( 'media_selector_attachment_id_b' ) ); ?>'>
        
		<span id="user_btn_b" style="display:none">  -  <input type="submit" name="submit_image_selector_b" value="Set Replacement Image" class="button-primary"></form><form method="post" action="#col3"><input type="submit" class="button-primary" value="Cancel/Reset" /></form></span>
       
	
    </div>
    </div>
    <div style="padding-top:10px"><span style=""><a id="revLink_b"  class="ovrLnk">View / Edit Link</a></span></div>
    <div id="image_link_b" style="display:none"><form method="post"  action="#revLink_b"><input type="hidden" name="submitChangeType" value="1" /><input type="hidden" name="optionSel" value= "I" /><input type="text" size="80" name="hdrCollnk_C" value="<?php echo $hdrCollnk_C ?>"/> <input type="submit" value="Save Changes" class="button-primary" /></form></div>
    </div>
    
     <div style="padding:20px" id="col4"><h2>Image Menu - Column 4<h2>
    <div style="width:100%">
    <form method='post' action="#col4">
    	<input type="hidden" name="submitChangeType" value="1" />
        <input type="hidden" name="optionSel" value= "J" />
		<div class='image-preview-wrapper'>
            <img id='image-preview-c' class="img_region" src='<?php echo $hdrColImg_D ?>' height='100'>
			<img id='image-preview-rep-c' style="display:none" src='<?php echo wp_get_attachment_url( get_option( 'media_selector_attachment_id_c' ) ); ?>' height='50'>
		</div>
        <div ><span id="conMessage_c" style="font-weight:bold;color:red"></span></div>
        <div id="btn_img_mnu_c" style="display:none;padding:20px;cursor:pointer">
		<input id="upload_image_button_c" type="button" class="button" value="<?php _e( 'Upload Image' ); ?>" />
		<input type='hidden' size='7'  name='image_attachment_id_c' id='image_attachment_id_c' value='<?php echo get_option( 'media_selector_attachment_id_c' ); ?>'>
        <input type='hidden' size='80'  name='image_attachment_id_cs' id='image_attachment_id_cs' value='<?php echo wp_get_attachment_url( get_option( 'media_selector_attachment_id_c' ) ); ?>'>
        
		<span id="user_btn_c" style="display:none">  -  <input type="submit" name="submit_image_selector_c" value="Set Replacement Image" class="button-primary"></form><form method="post" action="#col4"><input type="submit" class="button-primary" value="Cancel/Reset" /></form></span>
       
	
    </div>
    </div>
    <div style="padding-top:10px"><span style=""><a id="revLink_c" class="ovrLnk">View / Edit Link</a></span></div>
    <div id="image_link_c" style="display:none"><form method="post"  action="#revLink_c"><input type="hidden" name="submitChangeType" value="1" /><input type="hidden" name="optionSel" value= "K" /><input type="text" size="80" name="hdrCollnk_D" value="<?php echo $hdrCollnk_D ?>"/> <input type="submit" value="Save Changes" class="button-primary" /></form></div>
    </div>
    
    <div style="padding:20px" id="col5"><h2>Image Menu - Column 5<h2>
    <div style="width:100%">
    <form method='post' action="#col5">
    	<input type="hidden" name="submitChangeType" value="1" />
        <input type="hidden" name="optionSel" value= "L" />
		<div class='image-preview-wrapper'>
            <img id='image-preview-d' class="img_region" src='<?php echo $hdrColImg_E ?>' height='100'>
			<img id='image-preview-rep-d' style="display:none" src='<?php echo wp_get_attachment_url( get_option( 'media_selector_attachment_id_d' ) ); ?>' height='50'>
		</div>
        <div ><span id="conMessage_d" style="font-weight:bold;color:red"></span></div>
        <div id="btn_img_mnu_d" style="display:none;padding:20px;cursor:pointer">
		<input id="upload_image_button_d" type="button" class="button" value="<?php _e( 'Upload Image' ); ?>" />
		<input type='hidden' size='7'  name='image_attachment_id_d' id='image_attachment_id_d' value='<?php echo get_option( 'media_selector_attachment_id_d' ); ?>'>
        <input type='hidden' size='80'  name='image_attachment_id_ds' id='image_attachment_id_ds' value='<?php echo wp_get_attachment_url( get_option( 'media_selector_attachment_id_d' ) ); ?>'>
        
		<span id="user_btn_d" style="display:none">  -  <input type="submit" name="submit_image_selector_d" value="Set Replacement Image" class="button-primary"></form><form method="post" action="#col5"><input type="submit" class="button-primary" value="Cancel/Reset" /></form></span>
       
	
    </div>
    </div>
    <div style="padding-top:10px"><span style=""><a id="revLink_d"  class="ovrLnk">View / Edit Link</a></span></div>
    <div id="image_link_d" style="display:none"><form method="post"  action="#revLink_d"><input type="hidden" name="submitChangeType" value="1" /><input type="hidden" name="optionSel" value= "M" /><input type="text" size="80" name="hdrCollnk_E" value="<?php echo $hdrCollnk_E ?>"/> <input type="submit" value="Save Changes" class="button-primary" /></form></div>
    </div>
    <div style="height:15px"><hr /></div>
    
    
    <div id="form5"><h1>TMO Custom Menu Colours</h1>
    <p>Below you can move the slider to enable your own custom colours for the top primary menu items. If the slider option is disabled then the menu colours will default to the theme colours. If this option is turned on  - by clicking on "View/Edit Link" you can specify the colurs using a hex value like "#FFFFF" (white) etc.</p>
    
    <div><form  method="post" action="#form5">
    <input type="hidden" name="submitChangeType" value="1" />
    <input type="hidden" name="optionSel" value= "B" />
    <label class="switch">
  <input id="menuSel" type="checkbox" name="menuSel" <?php
   if($hdrMenCustomOn == '1') {
	    echo 'checked value="1"';
		 }
	else {
		echo 'value="0"'; 
	}
			    ?>>
  <span class="slider round"></span>
</label>&nbsp;&nbsp;<span id="saveMenuOpt" style="display:none"><br><input type="submit" value="Save this change" class="button-primary"/></span></form></div>
    </div>
    
    <div id="customMenuColours" style="display: <?php
   if($hdrMenCustomOn == '0') {
	    echo "none";
		 }
	else {
		echo ""; 
	}
			    ?>">
        <form  method="post" action="#form5">
    <input type="hidden" name="submitChangeType" value="1" />
    <input type="hidden" name="optionSel" value= "C" />
            Top Menu Item Background Colour: <input type "text" size="5" name="hdrMenBtnNrm" value="<?php echo $hdrMenBtnNrm ?>">
            <br><br>
            Top Menu Item bg Hover Colour: <input type "text" size="5" name="hdrMenBtnOvr" value="<?php echo $hdrMenBtnOvr ?>">
            <br><br>
            Top Menu Item Text Colour: <input type "text" size="5" name="hdrMenTxtNrm" value="<?php echo $hdrMenTxtNrm ?>">
            &nbsp;&nbsp;<br><br>
            
            Top Menu Item Text Hover Colour: <input type "text" size="5" name="hdrMenTxtOvr" value="<?php echo $hdrMenTxtOvr ?>">
            <br><span><br><input type="submit" value="Save change/s" class="button-primary"/></span>
        </form>
        
        
        
    </div>
    
    
    <div><hr /></div>
    <div style="padding:0px" id="pgPostPlaceHolderImg"><h1>Post Image Placeholder</h1>
    <div style="width:100%">
    <p>While this is not a Theme Header element - you can change the default Post TMO default image that appears on any page using the custom post display shortcodes. To change the image simpky click on the thumanil to call up the Wordpress Meduia Management panel.</p>
    <form method='post' action="#pgPostPlaceHolderImg">
    	<input type="hidden" name="submitChangeType" value="1" />
        <input type="hidden" name="optionSel" value= "W" />
		<div class='image-preview-wrapper'>
            <img id='image-preview-q' class="img_region" src='<?php echo $pgPostPlaceHolderImg ?>' height='250' title="Click to Edit">
			<img id='image-preview-rep-q' style="display:none" src='<?php echo wp_get_attachment_url( get_option( 'media_selector_attachment_id_q' ) ); ?>' height='250'>
		</div>
        <div ><span id="conMessage" style="font-weight:bold;color:red"></span></div>
        <div id="btn_img_mnu_q" style="display:none;padding:20px;cursor:pointer">
		<input id="upload_image_button_q" type="button" class="button" value="<?php _e( 'Upload Image' ); ?>" />
		<input type='hidden' size='7'  name='image_attachment_id' id='image_attachment_id' value='<?php echo get_option( 'media_selector_attachment_id' ); ?>'>
        <input type='hidden' size='80'  name='image_attachment_id_q' id='image_attachment_id_q' value='<?php echo wp_get_attachment_url( get_option( 'media_selector_attachment_id' ) ); ?>'>
        
		<span id="user_btn_q" style="display:none">  -  <input type="submit" name="submit_image_selector_q" value="Set Replacement Image" class="button-primary">
        
	</form><form method="post" action="#pgPostPlaceHolderImg"><input type="submit" class="button-primary" value="Cancel/Reset" /></form></span>
    </div>
    </div>
    
    
    
    </div>
    <!--<div style="padding-top:10px"><span style="font-size:18px;font-weight:bolder"><a id="revLink_q"  class="ovrLnk">View / Edit Link</a></span></div>
    <div id="image_link_q" style="display:none"><form method="post" action="#revLink_q"><input type="hidden" name="submitChangeType" value="1" /><input type="hidden" name="optionSel" value= "W" /><input type="text" size="80" name="$pgPostPlaceHolderImg" value="<?php echo $pgPostPlaceHolderImg ?>"/> <input type="submit" value="Save Changes" class="button-primary" /></form></div>
    </div>-->

    
    <div style="height:100px" aria-hidden="true" class="wp-block-spacer"></div>
    
	<!--<form method='post'>
		<div class='image-preview-wrapper'>
        	<img id='image-preview-a' src='<?php echo 'http://localhost/tmonew/wp-content/themes/TMOWS5'.$hdrColImg_B ?>' height='100'>
			<img id='image-preview-a_o' src='<?php echo wp_get_attachment_url( get_option( 'media_selector_attachment_id_a' ) ); ?>' height='100'>
		</div>
        <?php //echo 'Hey= '.$thisSela ?>
		<input id="upload_image_button_a" type="button" class="button" value="<?php _e( 'Upload image' ); ?>" />
		<input type='text' size='7' disabled name='image_attachment_id_a' id='image_attachment_id_a' value='<?php echo get_option( 'media_selector_attachment_id_a' ); ?>'>
        <input type='text' size='60' disabled name='image_attachment_id_as' id='image_attachment_id_as' value='<?php echo wp_get_attachment_url( get_option( 'media_selector_attachment_id_a' ) ); ?>'>
        
		<input type="submit" name="submit_image_selector_a" value="Use this image" class="button-primary">
	</form>-->
	<?php

}


add_action( 'admin_footer', 'media_selector_print_scripts' );

function media_selector_print_scripts() {

	$my_saved_attachment_post_id = get_option( 'media_selector_attachment_id', 0 );

	?><script type='text/javascript'>

		jQuery( document ).ready( function( $ ) {

			// Uploading files
			var file_frame;
			var wp_media_post_id = wp.media.model.settings.post.id; // Store the old id
			var set_to_post_id = <?php echo $my_saved_attachment_post_id; ?>; // Set this
			
			
				
			$('#imgSel').on('change', function( event ){
					$('#saveImgOpt').slideDown();
					
                 if (!this.checked) {
                // var sure = confirm("Are you sure you want to uncheck it?");
                // this.checked = !sure;
		        $('#hdrImg').slideUp();
		        $('#hdrImgClr').slideDown();
	        	$('#imgSel').val('0');
                // $('#textbox1').val(sure.toString());
                }
	            else {
		
		        $('#hdrImg').slideDown();
	        	$('#hdrImgClr').slideUp();
	        	$('#imgSel').val('1');
		        //$('#image_link').hide();
	            }
            });
            
            $('#menuSel').on('change', function( event ){
					$('#saveMenuOpt').slideDown();
					
                if (!this.checked) {
                 // var sure = confirm("Are you sure you want to uncheck it?");
                 // this.checked = !sure;
        	    $('#customMenuColours').slideUp();
	            //	$('#hdrImgClr').slideDown();
		           $('#menuSel').val('0');
                // $('#textbox1').val(sure.toString());
                }
        	    else {
		
        	    //	$('#hdrImg').slideDown();
            	$('#customMenuColours').slideUp();
	        	$('#menuSel').val('1');
	        	//$('#image_link').hide();
                }
            });
			
			
			
				
			
			
			 $('#hdrWebmailFlag').on('change', function( event ){
					$('#saveMailOpt').slideDown();
					
                if (!this.checked) {
                 // var sure = confirm("Are you sure you want to uncheck it?");
                 // this.checked = !sure;
        	    $('#mailParms').slideUp();
	            //	$('#hdrImgClr').slideDown();
		           $('#hdrWebmailFlag').val('0');
                // $('#textbox1').val(sure.toString());
                }
        	    else {
		
        	    //	$('#hdrImg').slideDown();
            	$('#mailParms').slideUp();
	        	$('#hdrWebmailFlag').val('1');
	        	//$('#image_link').hide();
                }
            });
			
			
			
			
			
			$('#hdr_show_datetime').on('change', function( event ){
					$('#saveDateTimeOpt').slideDown();
					
                if (!this.checked) {
                 // var sure = confirm("Are you sure you want to uncheck it?");
                 // this.checked = !sure;
        	    $('#dateTimeParms').slideUp();
	            //	$('#hdrImgClr').slideDown();
		           $('#hdr_show_datetime').val('0');
                // $('#textbox1').val(sure.toString());
                }
        	    else {
		
        	    //	$('#hdrImg').slideDown();
            	$('#dateTimeParms').slideUp();
	        	$('#hdr_show_datetime').val('1');
	        	//$('#image_link').hide();
                }
            });
			
			
			
			$('#hdrMyHealthFlag').on('change', function( event ){
					$('#saveHealthOpt').slideDown();
					
                if (!this.checked) {
                 // var sure = confirm("Are you sure you want to uncheck it?");
                 // this.checked = !sure;
        	    $('#healthParms').slideUp();
	            //	$('#hdrImgClr').slideDown();
		           $('#hdrMyHealthFlag').val('0');
                // $('#textbox1').val(sure.toString());
                }
        	    else {
		
        	    //	$('#hdrImg').slideDown();
            	$('#healthParms').slideUp();
	        	$('#hdrMyHealthFlag').val('1');
	        	//$('#image_link').hide();
                }
            });
			
			
			
			$('#image-preview').on('click', function( event ){
				
				$('#btn_img_mnu').slideDown();
				
				
				});
				
				$('#revBGClr').on('click', function( event ){
				
					$('#hdrBGClr').slideDown();
			
				
				});
				
				
				
				
				$('#revLink').on('click', function( event ){
				
					$('#image_link').slideDown();
				
				
				});
				
				$('#revLink_a').on('click', function( event ){
				
					$('#image_link_a').slideDown();
				//alert("mama mia");
				
				});
				
				$('#revLink_q').on('click', function( event ){
				
					$('#image_link_q').slideDown();
				//alert("mama mia");
				
				});
				
				$('#revLink_b').on('click', function( event ){
				
					$('#image_link_b').slideDown();
				//alert("mama mia");
				
				});
				
				$('#revLink_c').on('click', function( event ){
				
					$('#image_link_c').slideDown();
				//alert("mama mia");
				
				});
				
				$('#revLink_d').on('click', function( event ){
				
					$('#image_link_d').slideDown();
				//alert("mama mia");
				
				});
				
				$('#revLink_e').on('click', function( event ){
				
					$('#image_link_e').slideDown();
				//alert("mama mia");
				
				});
				
				$('#revLink_f').on('click', function( event ){
				
					$('#image_link_f').slideDown();
				//alert("mama mia");
				
				});
				
				
				
				$('#revLink_x').on('click', function( event ){
				
					$('#image_link_x').slideDown();
				//alert("mama mia");
				
				});
				
				$('#revLink_y').on('click', function( event ){
				
					$('#image_link_y').slideDown();
				//alert("mama mia");
				
				});
				
				
				$('#editTitle').on('click', function( event ){
				
					$('#hdrTitle').slideDown();
				//alert("mama mia");
				
				});
				
				$('#revTimeClr').on('click', function( event ){
				
					$('#hdrTimeClrDiv').slideDown();
				//alert("mama mia");
				
				});
				
				
				$('#image-preview-a').on('click', function( event ){
				
				$('#btn_img_mnu_a').slideDown();
				//alert("mama mia");
				
				});
				
				
				
				
				
				
				
				
				$('#image-preview-b').on('click', function( event ){
				
				$('#btn_img_mnu_b').slideDown();
				//alert("mama mia");
				
				});
				
				$('#image-preview-c').on('click', function( event ){
				
				$('#btn_img_mnu_c').slideDown();
				//alert("mama mia");
				
				});
				
				$('#image-preview-d').on('click', function( event ){
				
				$('#btn_img_mnu_d').slideDown();
				//alert("mama mia");
				
				});
				
				$('#image-preview-p').on('click', function( event ){
				
				$('#btn_img_mnu_p').slideDown();
				//alert("mama mia");
				
				});
				
				$('#image-preview-q').on('click', function( event ){
				
				$('#btn_img_mnu_q').slideDown();
				//alert("mama mia");
				
				});
			

			jQuery('#upload_image_button').on('click', function( event ){

				event.preventDefault();

				// If the media frame already exists, reopen it.
				if ( file_frame ) {
					// Set the post ID to what we want
					file_frame.uploader.uploader.param( 'post_id', set_to_post_id );
					// Open frame
					file_frame.open();
					return;
				} else {
					// Set the wp.media post id so the uploader grabs the ID we want when initialised
					wp.media.model.settings.post.id = set_to_post_id;
				}

				// Create the media frame.
				file_frame = wp.media.frames.file_frame = wp.media({
					title: 'Select a image to upload',
					button: {
						text: 'Use this image',
					},
					multiple: false	// Set to true to allow multiple files to be selected
				});

				// When an image is selected, run a callback.
				file_frame.on( 'select', function() {
					// We set multiple to false so only get one image from the uploader
					attachment = file_frame.state().get('selection').first().toJSON();

					// Do something with attachment.id and/or attachment.url here
					$( '#image-preview' ).attr( 'src', attachment.url ).css( 'width', 'auto' );
					$( '#image_attachment_id' ).val( attachment.id );
					//alert("Attachment ID = "+attachment.id+" ATtachment image = "+attachment.url);
					//$('input.image_attachment_ids').val(attachment.url);
					$('#image_attachment_id_s').val(attachment.url);
					// Restore the main post ID
					wp.media.model.settings.post.id = wp_media_post_id;
				});
					
					// Finally, open the modal
					file_frame.open();
					$('#user_btn').show();
			});
			
			jQuery('#upload_image_button_a').on('click', function( event ){

				event.preventDefault();

				// If the media frame already exists, reopen it.
				if ( file_frame ) {
					// Set the post ID to what we want
					file_frame.uploader.uploader.param( 'post_id', set_to_post_id );
					// Open frame
					file_frame.open();
					return;
				} else {
					// Set the wp.media post id so the uploader grabs the ID we want when initialised
					wp.media.model.settings.post.id = set_to_post_id;
				}

				// Create the media frame.
				file_frame = wp.media.frames.file_frame = wp.media({
					title: 'Select a image to upload',
					button: {
						text: 'Use this image',
					},
					multiple: false	// Set to true to allow multiple files to be selected
				});

				// When an image is selected, run a callback.
				file_frame.on( 'select', function() {
					// We set multiple to false so only get one image from the uploader
					attachment = file_frame.state().get('selection').first().toJSON();
					
					// Do something with attachment.id and/or attachment.url here
					$( '#image-preview-a' ).attr( 'src', attachment.url ).css( 'width', 'auto' );
					$( '#image_attachment_id_as' ).val( attachment.id );
					alert("Attachment ID = "+attachment.id+" ATtachment image = "+attachment.url);
					
					$('#image_attachment_id_as').val(attachment.url);

					// Do something with attachment.id and/or attachment.url here
					//$( '#image-preview-a' ).attr( 'src', attachment.url ).css( 'width', 'auto' );
					//$( '#image_attachment_id_a' ).val( attachment.id );

					// Restore the main post ID
					wp.media.model.settings.post.id = wp_media_post_id;
				});
					$('#user_btn_a').show();
					// Finally, open the modal
					file_frame.open();
			});
			
			
			jQuery('#upload_image_button_b').on('click', function( event ){

				event.preventDefault();

				// If the media frame already exists, reopen it.
				if ( file_frame ) {
					// Set the post ID to what we want
					file_frame.uploader.uploader.param( 'post_id', set_to_post_id );
					// Open frame
					file_frame.open();
					return;
				} else {
					// Set the wp.media post id so the uploader grabs the ID we want when initialised
					wp.media.model.settings.post.id = set_to_post_id;
				}

				// Create the media frame.
				file_frame = wp.media.frames.file_frame = wp.media({
					title: 'Select a image to upload',
					button: {
						text: 'Use this image',
					},
					multiple: false	// Set to true to allow multiple files to be selected
				});

				// When an image is selected, run a callback.
				file_frame.on( 'select', function() {
					// We set multiple to false so only get one image from the uploader
					attachment = file_frame.state().get('selection').first().toJSON();
					
					// Do something with attachment.id and/or attachment.url here
					$( '#image-preview-b' ).attr( 'src', attachment.url ).css( 'width', 'auto' );
					$( '#image_attachment_id_bs' ).val( attachment.id );
					alert("Attachment ID = "+attachment.id+" ATtachment image = "+attachment.url);
					
					$('#image_attachment_id_bs').val(attachment.url);

					
					// Restore the main post ID
					wp.media.model.settings.post.id = wp_media_post_id;
				});
					$('#user_btn_b').show();
					// Finally, open the modal
					file_frame.open();
			});
					
					
			jQuery('#upload_image_button_c').on('click', function( event ){

				event.preventDefault();

				// If the media frame already exists, reopen it.
				if ( file_frame ) {
					// Set the post ID to what we want
					file_frame.uploader.uploader.param( 'post_id', set_to_post_id );
					// Open frame
					file_frame.open();
					return;
				} else {
					// Set the wp.media post id so the uploader grabs the ID we want when initialised
					wp.media.model.settings.post.id = set_to_post_id;
				}

				// Create the media frame.
				file_frame = wp.media.frames.file_frame = wp.media({
					title: 'Select a image to upload',
					button: {
						text: 'Use this image',
					},
					multiple: false	// Set to true to allow multiple files to be selected
				});

				// When an image is selected, run a callback.
				file_frame.on( 'select', function() {
					// We set multiple to false so only get one image from the uploader
					attachment = file_frame.state().get('selection').first().toJSON();
					
					// Do something with attachment.id and/or attachment.url here
					$( '#image-preview-c' ).attr( 'src', attachment.url ).css( 'width', 'auto' );
					$( '#image_attachment_id_cs' ).val( attachment.id );
					alert("Attachment ID = "+attachment.id+" ATtachment image = "+attachment.url);
					
					$('#image_attachment_id_cs').val(attachment.url);

					
					// Restore the main post ID
					wp.media.model.settings.post.id = wp_media_post_id;
				});
					$('#user_btn_c').show();
					// Finally, open the modal
					file_frame.open();
			});		
				
			
			jQuery('#upload_image_button_q').on('click', function( event ){

				event.preventDefault();

				// If the media frame already exists, reopen it.
				if ( file_frame ) {
					// Set the post ID to what we want
					file_frame.uploader.uploader.param( 'post_id', set_to_post_id );
					// Open frame
					file_frame.open();
					return;
				} else {
					// Set the wp.media post id so the uploader grabs the ID we want when initialised
					wp.media.model.settings.post.id = set_to_post_id;
				}

				// Create the media frame.
				file_frame = wp.media.frames.file_frame = wp.media({
					title: 'Select a image to upload',
					button: {
						text: 'Use this image',
					},
					multiple: false	// Set to true to allow multiple files to be selected
				});

				// When an image is selected, run a callback.
				file_frame.on( 'select', function() {
					// We set multiple to false so only get one image from the uploader
					attachment = file_frame.state().get('selection').first().toJSON();
					
					// Do something with attachment.id and/or attachment.url here
					$( '#image-preview-q' ).attr( 'src', attachment.url ).css( 'width', 'auto' );
					$( '#image_attachment_id_q' ).val( attachment.id );
					alert("Attachment ID = "+attachment.id+" ATtachment image = "+attachment.url);
					
					$('#image_attachment_id_q').val(attachment.url);

					
					// Restore the main post ID
					wp.media.model.settings.post.id = wp_media_post_id;
				});
					$('#user_btn_q').show();
					// Finally, open the modal
					file_frame.open();
			});			
					
			jQuery('#upload_image_button_d').on('click', function( event ){

				event.preventDefault();

				// If the media frame already exists, reopen it.
				if ( file_frame ) {
					// Set the post ID to what we want
					file_frame.uploader.uploader.param( 'post_id', set_to_post_id );
					// Open frame
					file_frame.open();
					return;
				} else {
					// Set the wp.media post id so the uploader grabs the ID we want when initialised
					wp.media.model.settings.post.id = set_to_post_id;
				}

				// Create the media frame.
				file_frame = wp.media.frames.file_frame = wp.media({
					title: 'Select a image to upload',
					button: {
						text: 'Use this image',
					},
					multiple: false	// Set to true to allow multiple files to be selected
				});

				// When an image is selected, run a callback.
				file_frame.on( 'select', function() {
					// We set multiple to false so only get one image from the uploader
					attachment = file_frame.state().get('selection').first().toJSON();
					
					// Do something with attachment.id and/or attachment.url here
					$( '#image-preview-d' ).attr( 'src', attachment.url ).css( 'width', 'auto' );
					$( '#image_attachment_id_ds' ).val( attachment.id );
					alert("Attachment ID = "+attachment.id+" ATtachment image = "+attachment.url);
					
					$('#image_attachment_id_ds').val(attachment.url);

					
					// Restore the main post ID
					wp.media.model.settings.post.id = wp_media_post_id;
				});
					$('#user_btn_d').show();
					// Finally, open the modal
					file_frame.open();
			});			
					
					
			jQuery('#upload_image_button_p').on('click', function( event ){

				event.preventDefault();

				// If the media frame already exists, reopen it.
				if ( file_frame ) {
					// Set the post ID to what we want
					file_frame.uploader.uploader.param( 'post_id', set_to_post_id );
					// Open frame
					file_frame.open();
					return;
				} else {
					// Set the wp.media post id so the uploader grabs the ID we want when initialised
					wp.media.model.settings.post.id = set_to_post_id;
				}

				// Create the media frame.
				file_frame = wp.media.frames.file_frame = wp.media({
					title: 'Select a image to upload',
					button: {
						text: 'Use this image',
					},
					multiple: false	// Set to true to allow multiple files to be selected
				});

				// When an image is selected, run a callback.
				file_frame.on( 'select', function() {
					// We set multiple to false so only get one image from the uploader
					attachment = file_frame.state().get('selection').first().toJSON();
					
					// Do something with attachment.id and/or attachment.url here
					$( '#image-preview-p' ).attr( 'src', attachment.url ).css( 'width', 'auto' );
					$( '#image_attachment_id_ps' ).val( attachment.id );
					alert("Attachment ID = "+attachment.id+" ATtachment image = "+attachment.url);
					
					$('#image_attachment_id_ps').val(attachment.url);

					
					// Restore the main post ID
					wp.media.model.settings.post.id = wp_media_post_id;
				});
					$('#user_btn_p').show();
					// Finally, open the modal
					file_frame.open();
			});			
					
					
					
					
					
					

			// Restore the main ID when the add media button is pressed
			jQuery( 'a.add_media' ).on( 'click', function() {
				wp.media.model.settings.post.id = wp_media_post_id;
				hideMenus();
			});
			
			
			function hideMenus() {
				
				$('#btn_img_mnu').slideUp();
				$('#user_btn').show();
					$('#image-preview-rep').show();
					$('#image-preview').hide();
					
				
			}
			
			
		});

	</script>
	<style>
	.img_region{
		 cursor: pointer; 
		 }
		 
		 
		 .ovrLnk{
			 
			 cursor: pointer;
			 
		 }
	.switch {
  position: relative;
  display: inline-block;
  width: 52px;
  height: 26px;
}

.switch input { 
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #ccc;
  -webkit-transition: .4s;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 18px;
  width: 18px;
  left: 4px;
  bottom: 4px;
  background-color: white;
  -webkit-transition: .4s;
  transition: .4s;
}

input:checked + .slider {
  background-color: #2196F3;
}

input:focus + .slider {
  box-shadow: 0 0 1px #2196F3;
}

input:checked + .slider:before {
  -webkit-transform: translateX(26px);
  -ms-transform: translateX(26px);
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}
	
	</style>
	
	<?php

}

?>